# Uses of Interface
org.apache.qpid.proton.engine.EventType

Packages that use EventType
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of EventType in org.apache.qpid.proton.engine

Classes in org.apache.qpid.proton.engine that implement EventType
Modifier and Type
Class
Description
`static enum`
`Event.Type`
Event types built into the library.
Methods in org.apache.qpid.proton.engine that return EventType
Modifier and Type
Method
Description
`EventType`
Event.`getEventType()`
Methods in org.apache.qpid.proton.engine with parameters of type EventType
Modifier and Type
Method
Description
`void`
Event.`redispatch(EventType as_type, Handler handler)`
Synchronously redispatch the current event as a new `EventType` on the provided handler and it's children.

## Uses of EventType in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type EventType
Modifier and Type
Method
Description
`org.apache.qpid.proton.engine.impl.EventImpl`
CollectorImpl.`put(EventType type, Object context)`